#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2020 Axigen Messaging SRL
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

""" Definitions of classes related to CLI Logging
    Logger
"""

__copyright__ = "Copyright (C) 2020, Axigen Messaging SRL"
__license__ = "Apache License Version 2.0"
__version__ = "1.1.0"
__author__ = 'eugen.belea@axigen.com (Eugen Belea)'
__maintainer__ = 'eugen.belea@axigen.com (Eugen Belea)'


import logging

SingletonConnectionLogger = False

def getConnectionLogger():
    logger = logging.getLogger("axicli.cliconn")
    if not SingletonConnectionLogger:
        logger.addHandler(logging.StreamHandler())
        logger.setFormatter(logging.Formatter("%{name}-12s %{levelname}-8s [%{connId}-8X] %{message}s"))
        SingletonConnectionLogger = True
    loggerAd = logging.LoggerAdapter(logger)

class Logger(logging.Logger):
    '''
    CLI Logger
    '''

    def __init__(self):
        pass

